io.vertx.rxjava.ext.shell.term

## Class Tty

- java.lang.Object
- - io.vertx.rxjava.ext.shell.term.Tty

- Direct Known Subclasses:
    CommandProcess, Term

      public class Tty
      extends Object

  Provide interactions with the Shell TTY.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tty(Tty delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getDelegate()`
    `int` | `height()`
    `static Tty` | `newInstance(Tty arg)`
    `Tty` | `resizehandler(Handler<Void> handler)` Set a resize handler, the handler is called when the tty size changes.
    `Tty` | `stdinHandler(Handler<String> handler)` Set a stream handler on the standard input to read the data.
    `String` | `type()`
    `int` | `width()`
    `Tty` | `write(String data)` Write data to the standard output.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Tty

          public Tty(Tty delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### type

          public String type()

      Returns:
        the declared tty type, for instance , , etc... it can be null when the tty does not have declared its type.

    - #### width

          public int width()

      Returns:
        the current width, i.e the number of rows or if unknown

    - #### height

          public int height()

      Returns:
        the current height, i.e the number of columns or if unknown

    - #### stdinHandler

          public Tty stdinHandler(Handler<String> handler)

      Set a stream handler on the standard input to read the data.
      Parameters:
        `handler` - the standard input
      Returns:
        this object

    - #### write

          public Tty write(String data)

      Write data to the standard output.
      Parameters:
        `data` - the data to write
      Returns:
        this object

    - #### resizehandler

          public Tty resizehandler(Handler<Void> handler)

      Set a resize handler, the handler is called when the tty size changes.
      Parameters:
        `handler` - the resize handler
      Returns:
        this object

    - #### newInstance

          public static Tty newInstance(Tty arg)

Copyright © 2016. All rights reserved.